from setuptools import setup, find_packages

setup(
    name="bylexa",
    version="1.2.1",
    packages=find_packages(),
    install_requires=[
        "aioconsole==0.8.1",
        "attrs==24.2.0",
        "certifi==2024.8.30",
        "cffi==1.17.1",
        "charset-normalizer==3.4.0",
        "click==8.1.7",
        "colorama==0.4.6",
        "comtypes==1.4.8",
        "h11==0.14.0",
        "idna==3.10",
        "outcome==1.3.0.post0",
        "packaging==24.1",
        "psutil==6.1.0",
        "pycaw==20240210",
        "pycparser==2.22",
        "PyJWT==2.9.0",
        "pyperclip==1.9.0",
        "PySocks==1.7.1",
        "python-dotenv==1.0.1",
        "pywin32==308",
        "requests==2.32.3",
        "schedule==1.2.2",
        "selenium==4.26.1",
        "sniffio==1.3.1",
        "sortedcontainers==2.4.0",
        "trio==0.27.0",
        "trio-websocket==0.11.1",
        "typing_extensions==4.12.2",
        "urllib3==2.2.3",
        "webdriver-manager==4.0.2",
        "websocket-client==1.8.0",
        "websockets==13.1",
        "wsproto==1.2.0"
    ],
    entry_points={
        'console_scripts': [
            'bylexa=bylexa.cli:main',
        ],
    },
    python_requires='>=3.6',
    author="exploring-solver",
    description="Control your PC using Bylexa voice commands.",
    url="https://github.com/exploring-solver/bylexa",
    license="MIT",
)
